Class
Dequeue
A double-ended queue implementation on top of a String.
Dequeue<TValue, TSpec>
Include Headers
seqan/misc.h
Parameters

TValue | Type of the ungapped sequences. Metafunctions: Value
TSpec | The specializing type of the underlying String. Metafunctions: Spec Default: Alloc<>, see Alloc String

Metafunctions

Iterator | Type of iterator objects that are used to traverse the container.

SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:45